Hibernate Compatibility Matrix

Please note that as of 3.5.x Hibernate Core, Hibernate Annotations and  Hibernate EntityManager are all versioned and released together which greatly simplifies this matrix; see this blog for details.

Hibernate Commons Annotations is a utility project used by annotations based sub-projects like Hibernate Search, and thus maintained as a separate project. It is a compile time dependency for Hibernate Core 3.6.0 and up.

 

 

PackageVersionCoreAnnotationsEntityManagerValidatorSearchShardsTools

Hibernate Core

3.2.6 GA-3.2.x, 3.3.x3.2.x, 3.3.x3.0.x3.0.x3.0.x3.2.x

3.3.2 GA-3.4.x3.4.x3.1.x3.1.xNot compatibleNot compatible

Hibernate

Annotations

3.3.1 GA3.2.x-3.3.x3.0.x3.0.x3.0.x3.2.x

3.4.0 GA3.3.x-3.4.x3.1.x3.1.xNot compatibleNot compatible

Hibernate

EntityManager

3.3.2 GA3.2.x3.3.x-3.0.x3.0.xNot compatible3.2.x

3.4.0 GA3.3.x3.4.x-3.1.x3.1.xNot compatibleNot compatible

Hibernate

Validator

3.0.0 GA3.2.x3.3.x3.3.x-3.0.x3.0.x3.2.x

3.1.0 GA3.3.x3.4.x3.4.x-3.1.xNot compatibleNot compatible

Hibernate

Search

3.0.1 GA

>= 3.2.2

(better if >= 3.2.6)

3.3.x

(better if >= 3.3.1 )

3.3.x3.0.x-3.0.x(3.2.x)

3.1.1 GA3.33.43.43.1-Not tested(3.2.x)

Hibernate

Shards

3.0 Beta23.2.x3.3.xNot compatible3.0.x3.0.x--

Hibernate

Tools

3.2.23.2.x3.2.x and 3.3.x3.2.x and 3.3.x3.0.x(3.2.0)--